Update Project Name
PATCH
/api/data/projects/{project_id}/name
const url = 'https://example.com/api/data/projects/example/name';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/data/projects/example/name \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Update the project’s display name. Requires membership in the project.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateProjectNameRequest
object
name
required
Name
string
Examplegenerated
{ "name": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UpdateProjectNameResponse
object
project_id
required
Project Id
Canonical external string ID (UUID-like)
string
name
required
Name
Updated project name
string
Examplegenerated
{ "project_id": "example", "name": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}